Bug 179464 - [update] www/p5-Dancer to 1.3115
Summary: [update] www/p5-Dancer to 1.3115
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-10 22:50 UTC by Andy Walker
Modified: 2013-06-25 18:00 UTC (History)
0 users

See Also:


Attachments
p5-dancer.diff.txt (1012 bytes, text/plain; charset=us-ascii)
2013-06-13 01:37 UTC, Ryan Steinmetz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Walker 2013-06-10 22:50:00 UTC
Please update to latest release (1.3115).  This release fixes a bug related to "megasplat" routes and passing.  If a route is created that uses a megasplat to do initialization or preparation for routes beneath it (e.g. the entry/*/tags/** route in the documentation) and then passes, if no further routes match the framework will throw an error 500 instead of the expected 404.

Fix: 

Framework bug.  An update to 1.3115 should resolve the issue.
How-To-Repeat: as per: https://github.com/PerlDancer/Dancer/issues/605#issuecomment-4152683
Comment 1 Raphael Kubo da Costa freebsd_committer 2013-06-11 19:38:38 UTC
Class Changed
From-To: update->sw-bug

Fix PR class and assign to maintainer. 


Comment 2 Raphael Kubo da Costa freebsd_committer 2013-06-11 19:38:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Fix PR class and assign to maintainer.
Comment 3 Ryan Steinmetz freebsd_committer freebsd_triage 2013-06-13 01:37:05 UTC
Attached is a patch to:
- Update to 1.3115
- Convert to new 'created by' header
Comment 4 Ryan Steinmetz freebsd_committer freebsd_triage 2013-06-13 16:11:29 UTC
This issue is impacting me as well.  May I have permission to commit the
patch attached to the PR?

Thanks,
-r
Comment 5 dfilter service freebsd_committer 2013-06-25 17:59:24 UTC
Author: zi
Date: Tue Jun 25 16:59:10 2013
New Revision: 321750
URL: http://svnweb.freebsd.org/changeset/ports/321750

Log:
  - Update to 1.3115
  - Convert to new 'created by' header
  
  PR:		ports/179464
  Submitted by:	Andy Walker <awalker@sourcefire.com>
  Approved by:	maintainer timeout (2+ weeks)

Modified:
  head/www/p5-Dancer/Makefile   (contents, props changed)
  head/www/p5-Dancer/distinfo   (contents, props changed)

Modified: head/www/p5-Dancer/Makefile
==============================================================================
--- head/www/p5-Dancer/Makefile	Tue Jun 25 16:22:46 2013	(r321749)
+++ head/www/p5-Dancer/Makefile	Tue Jun 25 16:59:10 2013	(r321750)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:	Dancer
-# Date created:		16 Apr 2010
-# Whom:			Jun Kuriyama <kuriyama@FreeBSD.org>
-#
+# Created by: Jun Kuriyama <kuriyama@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Dancer
-PORTVERSION=	1.3110
+PORTVERSION=	1.3115
 CATEGORIES=	www perl5
 MASTER_SITES=	CPAN
-MASTER_SITE_SUBDIR=	CPAN:XSAWYERX
+MASTER_SITE_SUBDIR=	CPAN:YANICK
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	kuriyama@FreeBSD.org

Modified: head/www/p5-Dancer/distinfo
==============================================================================
--- head/www/p5-Dancer/distinfo	Tue Jun 25 16:22:46 2013	(r321749)
+++ head/www/p5-Dancer/distinfo	Tue Jun 25 16:59:10 2013	(r321750)
@@ -1,2 +1,2 @@
-SHA256 (Dancer-1.3110.tar.gz) = 1c22800be3fe294acfa8e3810cf6bd5dc6292079c73f74691968b728c5c1bf52
-SIZE (Dancer-1.3110.tar.gz) = 293654
+SHA256 (Dancer-1.3115.tar.gz) = a7131d3718a70a7c820da8320a89b3c479e65863fbfeb2709c926aca2f45bb89
+SIZE (Dancer-1.3115.tar.gz) = 298079
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ryan Steinmetz freebsd_committer freebsd_triage 2013-06-25 17:59:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!